summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass11
1 files changed, 7 insertions, 4 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index a8fd3e953bc3..1e164957b2b8 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -155,7 +155,13 @@ tc_has_feature() {
}
if [[ ${PN} != "kgcc64" && ${PN} != gcc-* ]] ; then
- IUSE+=" altivec debug +cxx +nptl" TC_FEATURES+=(nptl)
+ # --enable-altivec was dropped before gcc-4. We don't set it.
+ # We drop USE=altivec for newer gccs only to avoid rebuilds
+ # for most stable users. Once gcc-10 is stable we can drop it.
+ if ! tc_version_is_at_least 10; then
+ IUSE+=" altivec"
+ fi
+ IUSE+=" debug +cxx +nptl" TC_FEATURES+=(nptl)
[[ -n ${PIE_VER} ]] && IUSE+=" nopie"
[[ -n ${HTB_VER} ]] && IUSE+=" boundschecking"
[[ -n ${D_VER} ]] && IUSE+=" d"
@@ -1090,9 +1096,6 @@ toolchain_src_configure() {
gcc-multilib-configure
- # ppc altivec support
- in_iuse altivec && confgcc+=( $(use_enable altivec) )
-
# gcc has fixed-point arithmetic support in 4.3 for mips targets that can
# significantly increase compile time by several hours. This will allow
# users to control this feature in the event they need the support.